CVE-2021-46790

Name
CVE-2021-46790
Description
ntfsck in NTFS-3G through 2021.8.22 has a heap-based buffer overflow involving buffer+512*3-2. NOTE: the upstream position is that ntfsck is deprecated; however, it is shipped by some Linux distributions.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/tuxera/ntfs-3g/issues/16

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:tuxera:ntfs-3g:*:*:*:*:*:*:*:* ntfs-3g >= None <= 2021.8.22

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
ntfs-3g edge-main 2021.8.22-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
ntfs-3g 3.15-main 2021.8.22-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
ntfs-3g 3.14-main 2017.3.23-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
ntfs-3g 3.13-main 2017.3.23-r2 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
ntfs-3g 3.12-main 2017.3.23-r2 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable